Roles

Get role

GET
/roles/{id}.json

Get a single role with its permissions

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

id*integer
Formatint64

Response Body

The request has succeeded.

application/json
  1. response
role*

Redmine Role with its permissions

curl -X GET 'https://redmine.example.com/roles/0.json'
{  "role": {    "id": 0,    "name": "string",    "assignable": true,    "issues_visibility": "all",    "time_entries_visibility": "all",    "users_visibility": "all",    "permissions": [      "add_project"    ]  }}